function Nystrom_fromfile(m,fx,newfig,fontsize,ccax,cbar)
%use Nystrom extension to plot an approximation to the stationary
%distribution (eigenfunction) on the simplex
%SYNTAX
%Nystrom_fromfile(m,fx,newfig,fontsize,ccax,cbar)
%INPUTS
%m is the square root of the number of mesh points we want
%fx is the approximated eigenfunction (scaled so that it integrates to 1)
%newfig (optional): if 1 (default), plot on a new figure
%fontsize (optional): font size for axis labels
%ccax (optional) is min and max values for color map
%if cbar (optional, default 1) is 1, draw a color bar
%OUTPUTS
%A figure in which the eigenfunction is represented on the
%simplex using Nystrom extension onto a regular grid
%USES
%generate_meshpoints.m
%plot_coral_distribution.m

if nargin<3
    newfig=1;
end
if nargin<4
    fontsize=18;
end
if nargin<5
    ccax=[];
end
if nargin<6
    cbar=1;
end
[q,v]=generate_meshpoints(m);%generate a regular grid of mesh points
plot_coral_distribution(v,fx,newfig,fontsize,ccax,cbar);%plot the resulting distribution