function y=alr(x)
%additive logratio transformation
%SYNTAX
%y=alr(x)
%INPUTS
%x is a D-dimensional composition (either a single row vector, or a matrix in which each row
%is an observation)
%OUTPUTS
%y is d-1 dimensional additive logratio transformation of x

%transform Gauss points onto real space (additive logratio transformation:
%Aitchison p 113)
d=size(x,2)-1;
xD=x(:,end);
xD=xD(:,ones(1,d));
y=log(x(:,1:end-1)./xD);

