function x=alrmeasurementerror(xi,sigma)
%sample from a composition with additive logratio measurement error
%SYNTAX
%x=alrmeasurementerror(xi,sigma)
%INPUTS
%xi is the true composition (D dimensions), either a row vector or an nxd
%matrix, where n is number of observations
%sigma is a (D-1)x(D-1) covariance matrix for the measurement error
%(transformed to real plane)
%OUTPUTS
%x is sampled from xi with measurement error 

if isvector(xi)
    d=length(xi)-1;
    n=1;
else
    d=size(xi,2)-1;
    n=size(xi,1);
end
mu=zeros(n,d);
Rv=mvnrnd(mu,sigma,n);%mvn random measurement error on real plane
es=sum(exp(Rv),2)+1;
es=es(:,ones(1,d));
v=exp(Rv)./es;%additive logratio transformation
v=[v,1-sum(v,2)];
x=xi.*v;
xs=sum(x,2);
xs=xs(:,ones(1,d+1));
x=x./xs;%constraint operator