function d = distAt3(x,y)

% Aitchison's distance for S3

% INPUT
%
% x,y - should be same size marices with each row corresponding to a 
%   different point on the simplex 


% geometric means
gx = ( prod(x,2) ).^(1/3);
gy = ( prod(y,2) ).^(1/3);

%squared distance
d2 = sum( (log( x./repmat(gx,1,3) ) - log( y./repmat(gy,1,3) )).^2, 2 );

% remove degenerate values
d2( d2<eps ) = 0;

% distance
d = sqrt( d2 );