function label_ternary_axes(labels,fontsize,coords,offset)
%axis labelling for ternary plots such as coral_triangle_Dirichlet.m
%SYNTAX
%label_ternary_axes(labels,fontsize,coords,offset)
%INPUTS
%labels is a cell array of labels for right, top, and left corners of the
%graph
%fontsize (optional) is font size to use
%coords (optional, default 3 x3 identity matrix) is the coordinates at
%which to put the  vertex labels
%offset (optional, default 0.05) is amount to offset labels from
%coordinates. Can be a matrix with one row for each label
%OUTPUTS
%Puts text labels at the required points on the axes
%USES
%xytoternary.m

if nargin<2
    fontsize=18;
end
if nargin<3
    coords=eye(3);
end
if nargin<4
    offset=0.05;
end
if isscalar(offset)
    offset=[offset -offset 0;-offset offset 0;-offset -offset 0];    
end    
%a=xytoternary(coords(1,:)+[offset -offset 0]);
%b=xytoternary(coords(2,:)+[-offset offset 0]);
%c=xytoternary(coords(3,:)+[-offset -offset 0]);
a=xytoternary(coords(1,:)+offset(1,:));
b=xytoternary(coords(2,:)+offset(2,:));
c=xytoternary(coords(3,:)+offset(3,:));

text(a(1),a(2),labels{1},'fontsize',fontsize);
text(b(1),b(2),labels{2},'fontsize',fontsize);
text(c(1),c(2),labels{3},'fontsize',fontsize);
