function x=multinomialmeasurementerror(xi,n)
%sample from a composition with additive logratio measurement error
%SYNTAX
%x=alrmeasurementerror(xi,n)
%INPUTS
%xi is the true composition (D dimensions), either a row vector or an mxd
%matrix, where m is number of different compositions
%n is the number of points at which we sample from each composition, where
%each point takes each possible state with probabilities given by xi. If xi
%is a matrix, we assume same n for each row of xi
%OUTPUTS
%x is the composition formed by the proportion of points having each state

if ~isvector(xi)
    m=size(xi,1);
    nm=n*ones(m,1); 
end
x=mnrnd(nm,xi)/n;%mvn random measurement error on real plane


