function panel_label(paneltext,fontsize,xoff,yoff)
%label a panel on a figure
%SYNTAX
%panel_label(paneltext,fontsize,xoff,yoff)
%INPUTS
%paneltext is the label
%fontsize (optional) is font size
%xoff and yoff (optional) are offset values for x and y position
%(proportion of axis range left and down from top left)
%OUTPUTS
%panel labelled at top left

if nargin<2
    fontsize=12;
end
if nargin<3
    xoff=0.2;
end
if nargin<4
    yoff=0.1;
end

xl=get(gca,'xlim');
yl=get(gca,'ylim');
text(xl(1)+xoff*range(xl),yl(2)-yoff*range(yl),paneltext,'fontsize',fontsize,'fontweight','bold');